whenitsdone.org
New updates of CMFC will only support iOS 6.1 or above
Until now, CMFC (Crossword Maker For Cruciverbalists) supports almost every iOS devices, including the 1st gen iPad, as long as they are using iOS 5.0 or above. But the upcoming upgrade (version 5.…